summaryrefslogtreecommitdiff
path: root/build-aux/meson/update-from-gsd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-aux/meson/update-from-gsd.sh')
-rwxr-xr-xbuild-aux/meson/update-from-gsd.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/build-aux/meson/update-from-gsd.sh b/build-aux/meson/update-from-gsd.sh
new file mode 100755
index 000000000..9f2d6b79c
--- /dev/null
+++ b/build-aux/meson/update-from-gsd.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+function die() {
+ echo $*
+ exit 1
+}
+
+if test -z "$DIR"; then
+ echo "Must set DIR"
+ exit 1
+fi
+
+if test -z "$FILES"; then
+ echo "Must set FILES"
+ exit 1
+fi
+
+for FILE in $FILES; do
+ if cmp -s $DIR/$FILE $FILE; then
+ echo "File $FILE is unchanged"
+ else
+ cp $DIR/$FILE $FILE || die "Could not move $DIR/$FILE to $FILE"
+ echo "Updated $FILE"
+ git add $FILE
+ fi
+done